Get Job History
Retrieve a list of completed jobs based on various filter criteria.
Query Parameters
- sort string
to sort based on jobId desc, jobs.jobSummary.jobId:-1 or asc, jobs.jobSummary.jobId:1. field path can be picked from response schema.
- limit int32
Total number of jobs list that are to be returned.
- start int32
The number of items to skip from the beginning of the dataset. Used in conjunction with limit to define the range of results to be returned. For example, if the offset is 10 and limit is 20, the results will start from the 11th item in the dataset.
- completedJobLookupTime int32
Time in seconds to look back for completed jobs. Default-last 24hours
- fromEndTime int32
Filter jobs with end time greater than or equal to this Unix timestamp
- toEndTime int32
Filter jobs with end time less than or equal to this Unix timestamp
- clientGroupId int32
Filter jobs by client group ID
- clientId int32
Filter jobs by client ID
- instanceId int32
Filter jobs by instance ID
- backupSetId int32
Filter jobs by backup set ID
- subclientId int32
Filter jobs by subclient ID
- jobCategory int32
Filter jobs by job category (1=BACKUP, 2=RESTORE, 3=ADMIN)
- statusList string
Comma-separated list of job statuses to filter by
- jobTypes string
List of job operation types. 4(Backup Jobs) 5 (Restore Jobs) 14 (Synth Full Jobs). Comma-separated values
- showAgedJobs boolean
- 200
- 500
OK
- application/json
- Schema
- Example (from schema)
Schema
- totalRecordsWithoutPaging int32
jobs object
jobSummary object[]
sizeOfApplication int64The size of application data that was protected during the job.
vsaParentJobID int64backupSetName stringopType integertotalFailedFolders int64totalFailedFiles int64alertColorLevel int32alert level to display in UI. Besides value of 0(Info),2(Minor),4(Major),8(Critical) and 16(anomalous), we can have minor(2) + anomalous (16) will be sent as 18, major (4) + anomalous (16) will be sent as 20 and critical (8) + anomalous (16) will be sent as 24.
isVisible booleanlocalizedStatus stringisAged booleantotalNumOfFiles int64jobId int32jobSubmitErrorCode integersizeOfMediaOnDisk int64status stringlastUpdateTime int64percentSavings floatlocalizedOperationName stringstatusColor stringpendingReason stringerrorType integerbackupLevel integerjobElapsedTime int64jobStartTime int64currentPhaseName stringjobType stringisPreemptable int32backupLevelName stringpendingReasonErrorCode stringappTypeName stringlocalizedBackupLevelName stringsubclientName stringdestClientName stringjobEndTime int64destinationClient object
clientId int32clientName stringdisplayName stringuserName object
userName stringuserId int32subclient object
clientId int32clientName stringinstanceId int32instanceName stringbackupsetId int32backupsetName stringapplicationId int32appName stringsubclientId int32subclientName stringcommCellName stringworkloadId int32company object
companyId int32companyName stringGUID string
{
"totalRecordsWithoutPaging": 0,
"jobs": {
"jobSummary": [
{
"sizeOfApplication": 0,
"vsaParentJobID": 0,
"backupSetName": "string",
"opType": 0,
"totalFailedFolders": 0,
"totalFailedFiles": 0,
"alertColorLevel": 0,
"isVisible": true,
"localizedStatus": "string",
"isAged": true,
"totalNumOfFiles": 0,
"jobId": 0,
"jobSubmitErrorCode": 0,
"sizeOfMediaOnDisk": 0,
"status": "string",
"lastUpdateTime": 0,
"percentSavings": 0,
"localizedOperationName": "string",
"statusColor": "string",
"pendingReason": "string",
"errorType": 0,
"backupLevel": 0,
"jobElapsedTime": 0,
"jobStartTime": 0,
"currentPhaseName": "string",
"jobType": "string",
"isPreemptable": 0,
"backupLevelName": "string",
"pendingReasonErrorCode": "string",
"appTypeName": "string",
"localizedBackupLevelName": "string",
"subclientName": "string",
"destClientName": "string",
"jobEndTime": 0,
"destinationClient": {
"clientId": 0,
"clientName": "string",
"displayName": "string"
},
"userName": {
"userName": "string",
"userId": 0
},
"subclient": {
"clientId": 0,
"clientName": "string",
"instanceId": 0,
"instanceName": "string",
"backupsetId": 0,
"backupsetName": "string",
"applicationId": 0,
"appName": "string",
"subclientId": 0,
"subclientName": "string",
"commCellName": "string",
"workloadId": 0
},
"company": {
"companyId": 0,
"companyName": "string",
"GUID": "string"
}
}
]
}
}
Internal Server Error
- application/json
- Schema
- Example (from schema)
Schema
- errorMessage string
- errorCode int32
{
"errorMessage": "string",
"errorCode": 0
}